Subject: [ietf-dkim] RFC4871bis - whether to drop -- t=y: Domain is testing DKIM

From: Dave CROCKER <[email-masked]>
Date: Sat, 30 May 2009 10:16:20 -0700

Folks,

In:

   <http://mipassoc.org/pipermail/ietf-dkim/2009q2/011959.html>

Steve Atkins posted a list of suggested DKIM features to drop.

This note is intended to anchor a discussion thread for discusses one of those
features, namely:

>    TXT RR tags

>      t=y: Domain is testing DKIM
> 
> A "test flag" is a little like the version field, except there's much  
> less history of it's use in Internet standards. It isn't that useful,  
> and may cause problems.
> 
> It seems a questionable choice to define something into a protocol  
> that's almost immediately useless. Testing takes place only during  
> startup, then everyone has to support it forever, even though it's  
> never used again. In the case of DKIM it's also unclear how this would  
> be useful, as there's no obvious way for a receiver to communicate to  
> a sender the result of a DKIM validation in testing mode other than an  
> arrangement outside of the protocol - in which case the testing flag  
> wouldn't need to be part of the protocol.
> 
> Is anyone supporting t=y in a DKIM validator? What does it do in terms  
> of delivery and communication with the sender that's different to  
> normal non-test usage? And is it useful?
> 
>      g: Granularity of the key
>      s: Service type
>      t=s: Require that domain in i= and d= are the same
> 
> All three of these exist to ask the DKIM validator to compensate for  
> the domain owners lack of control over usage inside the domain owners  
> area of control. They don't belong in the basic DKIM signing mechanism.
> 
> If they're thought to be useful to identify and control different  
> aspects of use, what are they, or what are they thought likely to be?

Please discuss arguments for and against dropping this.

d/
-- 

   Dave Crocker
   Brandenburg InternetWorking
   bbiw.net

_______________________________________________
NOTE WELL: This list operates according to 
http://mipassoc.org/dkim/ietf-list-rules.html